
%define __libtoolize    /bin/true


%if %mdkversion == 1020
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig %mklibname akregator
%define lib_major 0
%define lib_name %lib_name_orig%lib_major



%define use_enable_final 1

Name:          akregator
Summary:        aKregator is KDE RSS aggregator with great look and feel.
Version:        1.0.1
Release:        3mdk
Source:         %{name}-%{version}.tar.bz2
URL:            http://www-ftp.lip6.fr/pub/X11/kde/stable/apps/KDE3.x/admin/
Group:		Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL
BuildRequires:	XFree86-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	arts-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
Buildrequires:	libkdepim-kontact-devel
BuildRequires:	kdebase-devel
BuildRequires:	flex
Requires:		%lib_name = %version-%release
Patch1:			akregator-1.0.1-fix-kde-bug-101988.patch.bz2
Patch2:			akregator-1.0.1-fix-crash.patch.bz2

%description
aKregator is KDE RSS aggregator with great look and feel.

%package -n %lib_name-devel
Summary:    Header files for akregator
Group:      Development/KDE and Qt
Requires:   %lib_name = %version-%release

%description -n %lib_name-devel
Headers files for akregator.

%package -n %lib_name
Summary:    Header files for akregator
Group:      Graphical desktop/KDE
Conflicts:	akregator <= 1.0-0.beta6.3mdk

%description -n %lib_name
Librairie files for akregator.


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n%{name}-%{version}
%patch1 -p0 -b .fix_kde_bug_101988
%patch2 -p1 -b .fix_crash

%build
export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_libKDEDIR/%_libLD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath \
%if %unstable			
		    --enable-debug=full \
%else
			--disable-debug \
%endif
%if %use_enable_final
			--enable-final
%else		
			--disable-final
%endif


%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#Menu
install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} Internet/News $RPM_BUILD_ROOT%_datadir/applnk/Internet/akregator.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} 

%find_lang %name 

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%files -n %lib_name
%defattr(-,root,root,-)
%_libdir/kde3/libakregatorpart.la
%_libdir/kde3/libakregatorpart.so*
%_libdir/kde3/libkontact_akregator.la
%_libdir/kde3/libkontact_akregator.so
%_libdir/kde3/libakregatorkonqplugin.la
%_libdir/kde3/libakregatorkonqplugin.so
%_libdir/kde3/libakregatorkonqfeedicon.la
%_libdir/kde3/libakregatorkonqfeedicon.so
%_libdir/libakregatorprivate.la
%_libdir/libakregatorprivate.so


%files -n %lib_name-devel
%defattr(-,root,root,-)


%files -f %name.lang 
%defattr(-,root,root,0755)
%_bindir/akregator
%_datadir/services/kontact/akregatorplugin.desktop
		 

%_menudir/akregator

%_datadir/applnk/Internet/akregator.desktop
%_datadir/apps/akregator/*
%_datadir/apps/khtml/kpartplugins/*.desktop
%_datadir/apps/khtml/kpartplugins/*.rc
	  
%_datadir/config.kcfg/*.kcfg
%_datadir/services/akregator_part.desktop   
   
%_datadir/icons/crystalsvg/128x128/apps/akregator.png
%_datadir/icons/crystalsvg/16x16/apps/akregator.png
%_datadir/icons/crystalsvg/16x16/apps/akregator_empty.png
%_datadir/icons/crystalsvg/22x22/apps/akregator.png
%_datadir/icons/crystalsvg/32x32/apps/akregator.png
%_datadir/icons/crystalsvg/48x48/apps/akregator.png
%_datadir/icons/crystalsvg/64x64/apps/akregator.png
%_datadir/icons/crystalsvg/scalable/apps/akregator.svgz

%_datadir/services/akregator_konqplugin.desktop
%_datadir/services/feed.protocol
%_datadir/services/kontact/akregatorplugin3.2.desktop

%dir %_datadir/apps/libkdepim/
%dir %_datadir/apps/libkdepim/about/
%_datadir/apps/libkdepim/about/*.png
%_datadir/apps/libkdepim/about/*.css

%dir %_docdir/HTML/en/akregator/
%_docdir/HTML/en/akregator/common
%_docdir/HTML/en/akregator/*.bz2
%_docdir/HTML/en/akregator/*.docbook

%dir %_docdir/HTML/sv/akregator/
%_docdir/HTML/sv/akregator/common
%_docdir/HTML/sv/akregator/*.bz2
%_docdir/HTML/sv/akregator/*.docbook
   



%changelog
* Tue Mar 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-3mdk
- Add patch2: fix crash "KIOSK: Don't crash when editable_desktop_icons is disabled."

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-2mdk
- Fix upgrade from MDK 10.1

* Mon Mar 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1
- Add patch1: fix kde bug  #101988

* Sat Mar 19 2005 Nicolas CHIPAUX <chipaux@mandrakesoft.com> 1.0-0.beta10.9mdk
- Fix build on x86_64 
- Fix libart_lgpl-devel build requires.

* Fri Mar 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta10.8mdk
- Add patch3: fix kde bug #94634
- Add patch4: fix kde bug #101274

* Fri Mar 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta10.7mdk
- Rebuild

* Mon Mar 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta10.6mdk
- Rebuild

* Mon Mar 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta10.5mdk
- Add patch2: fix kde bug #100494

* Tue Feb 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta10.4mdk
- Fix depend

* Sat Feb 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0-0.beta10.3mdk
- add BuildRequires: flex

* Fri Feb 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta10.2mdk
- Add patch1: fix kde bug #97986

* Thu Feb 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta10.1mdk
- beta10

* Sat Jan 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0-0.beta8.6mdk
- add BuildRequires: kdebase-devel

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta8.5mdk
- %%epoch doesn't exist in this spec file

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta8.4mdk
- Add patch9: fix kde bug #95838

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta8.3mdk
- Fix spec file
- Add patch1: fix kde bug #95345 
- Add patch2: fix delete loader
- Add patch3: fix kde bug #95346
- Add patch4: fix crash
- Add patch5: preserve focus
- Add patch6: "Mark articles without status as read, not unread." 
- Add patch7: fix kde bug #94219
- Add patch8: use -remote for launching mozilla

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta8.2mdk
- Fix requires

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta8.1mdk
- 1.0-beta8

* Fri Oct 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.beta7.1mdk
- beta7

* Mon Sep 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta6.3mdk
- Rebuild

* Tue Aug 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta6.2mdk
- Reapply my changes :)

* Fri Aug 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.beta6.1mdk
- beta6

* Mon Jul 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta5.1mdk
- beta5


* Fri Jul 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta4

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta3.1mdk
- beta3

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta2.1mdk
- First package

